package it.arnaldo.unibs.tamagolem;

public class Game {
    private final Player player1;
    private final Player player2;
    private final ElementGraph worldBalance;

    public Game(Player player1, Player player2, ElementGraph worldBalance) {
        this.player1 = player1;
        this.player2 = player2;
        this.worldBalance = worldBalance;
    }

    public Player getPlayer1() {
        return player1;
    }

    public Player getPlayer2() {
        return player2;
    }

    public ElementGraph getWorldBalance() {
        return worldBalance;
    }

    public void start() {
        int numberOfElements = worldBalance.getElements().size();
        int numberOfStones = Math.round((float) ((numberOfElements + 1)/3.0)) + 1;
        int numberOfTamaGolems = Math.round((float) ((numberOfElements - 1) * (numberOfElements - 2) / (2 * numberOfStones)));
        int totalNumberOfStones = Math.round((float) ((2 * numberOfTamaGolems * numberOfStones) / numberOfElements)) * numberOfElements;
        int numberOfStonesPerElement = totalNumberOfStones / numberOfElements;

        // deve essere uguale alla somma della potenza di tutti gli elementi
        int totalPower = 0;
        int lifePoints = (int)(Math.random() * 11) + 5;
        System.out.println("Game started between " + player1.getName() + " and " + player2.getName());

    }
}
